## r-cran-geosphere 1.5

=== DESCRIPTION ===
Package: geosphere
Type: Package
Title: Spherical Trigonometry
Version: 1.5-20
Date: 2024-10-02
LinkingTo: Rcpp
Imports: Rcpp, sp
Depends: R (>= 3.0.0)
Suggests: methods, raster, terra
Authors@R: c(
	person("Robert J.", "Hijmans", role = c("cre", "aut"),  email = "r.hijmans@gmail.com"),
	person("Charles", "Karney", role = "ctb", comment="GeographicLib"),	
	person("Ed", "Williams", role = "ctb"),
	person("Chris", "Vennes", role = "ctb"))
Description: Spherical trigonometry for geographic applications. That is, compute distances and related measures for angular (longitude/latitude) locations. 
BugReports: https://github.com/rspatial/geosphere/issues/
License: GPL (>= 3)
LazyLoad: yes
NeedsCompilation: yes
Packaged: 2024-10-03 02:50:13 UTC; rhijm
Author: Robert J. Hijmans [cre, aut],
  Charles Karney [ctb] (GeographicLib),
  Ed Williams [ctb],
  Chris Vennes [ctb]
Maintainer: Robert J. Hijmans <r.hijmans@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 06:40:06 UTC

## r-cran-geosphere 1.5-7

=== debian/changelog ===
r-cran-geosphere (1.5-7-1) unstable; urgency=medium

  * Initial release (closes: #911843)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Oct 2018 14:44:30 +0200

=== debian/control ===
Source: r-cran-geosphere
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-sp
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geosphere
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geosphere.git
Homepage: https://cran.r-project.org/package=geosphere

Package: r-cran-geosphere
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Spherical Trigonometry
 Spherical trigonometry for geographic applications. That is, compute
 distances and related measures for angular (longitude/latitude)
 locations.

## r-cran-geosphere 1.5-10

=== debian/changelog ===
r-cran-geosphere (1.5-10-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Autopkgtest based on vignette

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 22:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geosphere
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geosphere.git
 Homepage: https://cran.r-project.org/package=geosphere

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-raster
Restrictions: allow-stderr

## r-cran-geosphere 1.5-14

=== debian/changelog ===
r-cran-geosphere (1.5-14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 15:24:12 +0200

r-cran-geosphere (1.5-10-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 16:25:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geosphere
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geosphere.git
 Homepage: https://cran.r-project.org/package=geosphere
+Rules-Requires-Root: no
 
 Package: r-cran-geosphere
 Architecture: any

## r-cran-geosphere 1.5-18

=== debian/changelog ===
r-cran-geosphere (1.5-18-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:52:56 +0100

=== debian/control ===
Source: r-cran-geosphere
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geosphere
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geosphere.git
Homepage: https://cran.r-project.org/package=geosphere
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-sp
Testsuite: autopkgtest-pkg-r

Package: r-cran-geosphere
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Spherical Trigonometry
 Spherical trigonometry for geographic applications. That is, compute
 distances and related measures for angular (longitude/latitude)
 locations.

## r-cran-geosphere 1.5-20

=== debian/changelog ===
r-cran-geosphere (1.5-20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 08:53:18 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geosphere
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geosphere.git
 Homepage: https://cran.r-project.org/package=geosphere
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/geosphere_([-\d.]*)\.tar\.gz
